name: Bug report
description: Create a report to help us improve Kimai
labels: [ "bug" ]
body:
    -   type: markdown
        attributes:
            value: |
                Thank you for reporting an issue on Kimai! This form will guide you to create a useful issue report.
    -   type: textarea
        id: what-happened
        attributes:
            label: Describe the issue
            description: "A clear and concise description of the problem you are facing. Is that a browser issue? Then add device information: Ubuntu 20.04 with Brave 1.46, Windows 10 with Chrome 85, iPhone 10, Mac with Safari 16"
            placeholder: Tell us what you see! Include the steps necessary to reproduce the behavior (e.g. go to, scroll down and click here ...)
        validations:
            required: true
    -   type: checkboxes
        id: tried
        attributes:
            label: I already tried
            description: If you didn’t try already, try to search the documentation and existing issues what you wrote above.
            options:
                -   label: I've read and searched [the documentation](https://www.kimai.org/documentation/).
                    required: true
                -   label: I've searched for similar issues in this repository.
                    required: true
                -   label: I've searched for similar issues in [the discussions](https://github.com/kimai/kimai/discussions).
                    required: true
    -   type: input
        id: version
        attributes:
            label: Kimai version
            description: Which version of Kimai are you running (see Doctor/About/Kimai-Cloud screen)
            placeholder: 1.xx.x or 2.xx.x
        validations:
            required: true
    -   type: dropdown
        id: installation
        attributes:
            label: How do you run Kimai?
            options:
                - Virtual Server or alike
                - KIMAI CLOUD
                - Docker
                - Synology
                - Plesk
                - Shared-Hosting
                - Other (please mention below)
        validations:
            required: true
    -   type: dropdown
        id: php
        attributes:
            label: Which PHP version are you using?
            options:
                - "8.5"
                - "8.4"
                - "8.3"
                - "8.2"
                - "8.1"
                - Unknown
                - Other (please mention below)
        validations:
            required: true
    -   type: textarea
        id: logs
        attributes:
            label: Logfile
            description: Please paste the last lines from your logfile at "var/log/prod.log" or "Doctor > Logs", around the time when the problem happened.
    -   type: textarea
        id: screenshots
        attributes:
            label: Screenshots
            description: If applicable, add screenshots to better explain your problem.

